# generated by cabal-rpm-2.0.9 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name shake
%global pkgver %{pkg_name}-%{version}

%global heaps heaps-0.4
%global jsdgtable js-dgtable-0.5.2
%global subpkgs %{heaps} %{jsdgtable}

# failing to build
%bcond_with tests

Name:           %{pkg_name}
Version:        0.19.5
# can only be reset when all subpkgs bumped
Release:        20%{?dist}
Summary:        Build system library, like Make, but more accurate dependencies

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{heaps}/%{heaps}.tar.gz
Source2:        https://hackage.haskell.org/package/%{jsdgtable}/%{jsdgtable}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-binary-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-extra-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-filepattern-prof
BuildRequires:  ghc-hashable-prof
#BuildRequires:  ghc-heaps-prof
#BuildRequires:  ghc-js-dgtable-prof
BuildRequires:  ghc-js-flot-prof
BuildRequires:  ghc-js-jquery-prof
BuildRequires:  ghc-primitive-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-random-prof
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-unix-prof
BuildRequires:  ghc-unordered-containers-prof
BuildRequires:  ghc-utf8-string-prof
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
%endif
Requires:       %{name}-common = %{version}-%{release}
# End cabal-rpm deps

%description
Shake is a Haskell library for writing build systems - designed as a
replacement for 'make'. See "Development.Shake" for an introduction, including
an example. The homepage contains links to a user manual, an academic paper and
further information: <https://shakebuild.com>

To use Shake the user writes a Haskell program that imports
"Development.Shake", defines some build rules, and calls the
'Development.Shake.shakeArgs' function. Thanks to do notation and infix
operators, a simple Shake build system is not too dissimilar from a simple
Makefile. However, as build systems get more complex, Shake is able to take
advantage of the excellent abstraction facilities offered by Haskell and easily
support much larger projects. The Shake library provides all the standard
features available in other build systems, including automatic parallelism and
minimal rebuilds. Shake also provides more accurate dependency tracking,
including seamless support for generated files, and dependencies on system
information (e.g. compiler version).


%package common
Summary:        %{name} common files
BuildArch:      noarch

%description common
This package provides the %{name} common data files.


%package -n ghc-%{name}
Summary:        Haskell %{name} library
Requires:       %{name}-common = %{version}-%{release}

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%if %{with haddock}
%package -n ghc-%{name}-doc
Summary:        Haskell %{name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description -n ghc-%{name}-doc
This package provides the Haskell %{name} library documentation.
%endif


%if %{with ghc_prof}
%package -n ghc-%{name}-prof
Summary:        Haskell %{name} profiling library
Requires:       ghc-%{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (ghc-%{name}-devel and ghc-prof)

%description -n ghc-%{name}-prof
This package provides the Haskell %{name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{heaps}
%ghc_lib_subpackage %{jsdgtable}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -a1 -a2
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
%ghc_fix_rpath %{pkgver}
mv %{buildroot}%{_ghcdocdir}{,-common}
# End cabal-rpm install

echo "%{_datadir}/%{jsdgtable}/" >> %{jsdgtable}/ghc-js-dgtable.files

rm %{buildroot}%{_datadir}/%{pkgver}/docs/manual/*


%check
%if %{with tests}
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%{_bindir}/%{name}
# End cabal-rpm files


%files common
# Begin cabal-rpm files:
%license LICENSE
%doc CHANGES.txt README.md
%{_datadir}/%{pkgver}
# End cabal-rpm files


%files -n ghc-%{name} -f ghc-%{name}.files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%if %{with haddock}
%files -n ghc-%{name}-doc -f ghc-%{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%endif


%changelog
* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.19.5-20
- update to 0.19.5

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.19.4-19
- update to 0.19.4

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Jens Petersen <petersen@redhat.com> - 0.19.1-15
- update to 0.19.1
- disable js embedding
- filepattern, js-flot, and js-jquery were packaged

* Fri Feb 14 2020 Jens Petersen <petersen@redhat.com> - 0.18.5-14
- update to 0.18.5

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Jens Petersen <petersen@redhat.com>
- update to 0.17.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 0.16.4-10
- refresh to cabal-rpm-0.13

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 0.16.4-8
- update to 0.16.4

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Jens Petersen <petersen@redhat.com> - 0.16-5
- rebuild

* Tue Jan 09 2018 Jens Petersen <petersen@redhat.com> - 0.16-4
- update to 0.16

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 0.13.4-1
- update to 0.15.11
- subpackage js-flot and js-jquery

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jul 11 2016 Jens Petersen <petersen@redhat.com> - 0.13.4-4
- patch for ghc8 Prelude.(*>)
- disable tests due to -Wall -Werror

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 25 2014 Jens Petersen <petersen@redhat.com> - 0.13.4-1
- update to 0.13.4

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 17 2014 Jens Petersen <petersen@redhat.com> - 0.11.4-4
- adapt to new tests bcond in ghc-rpm-macros

* Mon Apr 14 2014 Jens Petersen <petersen@redhat.com> - 0.11.4-3
- use global to define cabal_configure_options (#1082515)

* Mon Mar 31 2014 Jens Petersen <petersen@redhat.com> - 0.11.4-2
- testsuite uses TemplateHaskell so only run it on Intel archs for now

* Mon Mar 31 2014 Jens Petersen <petersen@redhat.com> - 0.11.4-1
- update to 0.11.4
- bcond enable testsuite

* Sun Jan  5 2014 Jens Petersen <petersen@redhat.com> - 0.11-1
- update to 0.11

* Sat Jan  4 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.10.10
- spec file generated by cabal-rpm-0.8.7
